package impl;

public class SimpleMath{

	public int add(int a, int b){
		return a+b;
	}
	
	public int add(String textA, String textB) throws IllegalArgumentException {
		try {
			int a = Integer.parseInt(textA);
			int b = Integer.parseInt(textB);
			return add(a,b);
		} catch (NumberFormatException ex) {
			throw new IllegalArgumentException("Die Argument-Strings dürfen nur Zahlen enthalten!");
		}
	}

	public int sub(int a, int b){
		return a-b;
	}

	public int min(int a, int b){
		if(a<=b) return a;
		return b;
	}

	public int max(int a, int b){
		if(a>=b) return a;
		return b;
	}

	public int loop(){
		try{
			Thread.sleep(7000);
		}catch(Exception e){
			e.printStackTrace();
		}
		return 0;
	}
}
